package com.dayou.configuration;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>File：DfsConfig.java</p>
 * <p>Title: 分布式文件配置</p>
 * <p>Description:</p>
 * <p>Copyright: Copyright (c) 2019 2019年8月29日 下午5:27:02</p>
 * <p>Company: yinrunnet.com </p>
 * @author zmr
 * @version 1.0
 */
@Component
@ConfigurationProperties(prefix = "dfs")
@Slf4j
public class DfsConfig
{
    /** 路径*/
    private String path;

    /** 域名*/
    private String domain;

    private String domainName;

    private String code;

    private String domainRoot;

    private String luceneDir;

    public String getLuceneDir() {
        return luceneDir;
    }

    public void setLuceneDir(String luceneDir) {
        this.luceneDir = luceneDir;
    }
//生产环境建议用nginx绑定域名映射


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }
    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getDomainRoot() {
        return domainRoot;
    }

    public void setDomainRoot(String domainRoot) {
        this.domainRoot = domainRoot;
    }
}